Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class MessageIDTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.StringTerm
              javax.mail.search.MessageIDTerm

All Implemented Interfaces:
  java.io.Serializable

    public final class MessageIDTerm

extends StringTerm

This term models the RFC822 "MessageId" - a message-id for Internet messages that is supposed to be unique per message. Clients can use this term to search a folder for a message given its MessageId.

The MessageId is represented as a String.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`MessageIDTerm(java.lang.String msgid)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`boolean` | `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageIDTerm

    public MessageIDTerm(java.lang.String msgid)

  Constructor.

  Parameters:
    `msgid` - the msgid to search for

Method Detail

### match

    public boolean match(Message msg)

  The match method.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - the match is applied to this Message's Message-ID header
  Returns:
    true if the match succeeds, otherwise false

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `StringTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD